/*
* css styles by Gerald Kogler and Jorge-vitrubio.net
*/
/* variable definitions */
:root{
	--xrcb-margin: 1rem;
	--xrcb-padding: 1rem;
	--xrcb-font-family: HelveticaNeueLTPro-Md, Helvetica, Arial, sans-serif;
	--xrcb-font-family-light: HelveticaNeueLTPro-Lt, Helvetica, Arial, sans-serif;
	--xrcb-font-family-bold: HelveticaNeueLTPro-Bd, Helvetica, Arial, sans-serif;
	--xrcb-font-size: 1rem;
	--xrcb-border-width: 0.2rem;
	--xrcb-white: #fff;
	--xrcb-black: #000;
	--xrcb-grey-dark2: #222;
	--xrcb-grey-dark3: #333;
	--xrcb-grey: #999;
	--xrcb-grey-light: #ccc;
	--xrcb-grey-very-light: #eee;
	--xrcb-red:  #f00;
	--xrcb-red-2: #f90949;
	--xrcb-red-light: #fcc;
}

/* media queries */

/*any screen*/
@media screen {
	/* general styles */
	.hide, .mejs-offscreen {
		display: none;
	}
	#xrcbplayer-container {
		display: flex;
		z-index: 20;
		position: fixed;
		bottom: 0rem;
		width: auto;
    /*margin-left: calc((100vw - 50vw) / 2 );*/
	}
	.xrcbplayer {
		display: inline-block;
		align-self: center;
		margin: 0 auto;
	}
	.xrcbplayer .player {
		position: relative;
		height: 100%;
		margin: 0;
		padding: 0;
		font-family: var(--xrcb-font-family);
		background: #fefefe;
		border: 2px solid var(--xrcb-black);
	}
	/* .xrcbplayer div, */
	.xrcbplayer content,
	.xrcbplayer aside,
	.xrcbplayer a,
	.xrcbplayer img,
	.xrcbplayer span,
	.xrcbplayer button {
		margin: 0;
		padding: 0;
		border: none;
		box-shadow: none;
	}
	.xrcbplayer a {
		color: black;
		text-decoration: none;
		border-bottom: 1px solid black;
	}
	/* marquee efect for listening info*/
	/* https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations */
	.xrcbplayer .marquee {
		white-space: nowrap;
		overflow: hidden;
		box-sizing: border-box;
	}
	.xrcbplayer .marquee span {
		display: inline-block;
		padding-left: 100%;
		will-change: transform;
		animation: marquee 20s linear infinite;
	}
	.xrcbplayer .listening-info:hover span,
	.xrcbplayer .marquee:hover span,
	.xrcbplayer .listening-info:active span,
	.xrcbplayer .marquee:active span {
		animation-play-state: paused
	}
	/* end marquee efect for listening info*/

	.xrcbplayer .listening-info{
		position: absolute;
		left: 8rem;
		top:0;
		padding-top: 1.1rem;
		color: var(--xrcb-black);
		z-index: 100;
		letter-spacing: 0.05rem;
		font-weight: normal;
		font-size:calc( var(--xrcb-font-size) * 1.4 );
	}
	.xrcbplayer .listening-info ul{
		list-style: none;
		display: inline;
		margin:0;
		padding:0;
	}
	.xrcbplayer .listening-info li{
		display:inline;
	}
	.xrcbplayer .live:before {
		content: 'emissio XRCB';
		padding: 0 0.5rem;
	}
	.xrcbplayer .radio {
		font-weight: bold;
	}
	.xrcbplayer .sep {
		display: none;
	}
	.xrcbplayer .radio-link,
	.xrcbplayer .podcast-link  {
		display: none !important;
	}
	.xrcbplayer .logo {
		position: absolute;
		top: 0;
		right: 0;
		width: 6rem;
		height: 50%;
		background-color: var(--xrcb-black);
		font-size: calc( var(--xrcb-font-size) * 1.5 );
		color: var(--xrcb-white);
		text-align: center;
		line-height: 1.5rem;
		cursor: pointer;
		z-index: 1;
	}
	.xrcbplayer .moreinfo {
		position:absolute;
		top:0;
		right:0;
		width:3rem;
		height:50%;
		background-color: var(--xrcb-black);
		font-size: var(--xrcb-font-size);
		color:var(--xrcb-white);
		display: flex;
		justify-content: center;
		/* align-self: center; */
	}
	.xrcbplayer .moreinfo a{
		color:var(--xrcb-white);
		border:none;
	}
	.xrcbplayer .moreinfo > a:after {
		content: '+';
		font-size: calc( var(--xrcb-font-size) * 1.5 );
		font-family: var(--xrcb-font-family-bold);
		font-weight: bold;
	}
	.xrcbplayer .moreinfo-aside{
		position: absolute;
		top:auto;
		bottom: 100%;
		width: 100%;
		left: -2px;
		border: 2px solid var(--xrcb-black);
		background: var(--xrcb-white);
		margin: 0;
		padding: 0;
		transform: scaleY(0);
		transform-origin: bottom;
		opacity: 0;
		transition-delay: 1s;
		transition-property: transform,opacity;
	}
	.xrcbplayer .moreinfo:hover + .moreinfo-aside,
	.xrcbplayer .moreinfo:active + .moreinfo-aside,
	.xrcbplayer .moreinfo-aside:active {
	/*	transform: scaleY(1);
		opacity: 0.9;
		min-height: 100%;
	*/
	}
	.xrcbplayer .moreinfo-content{
		padding:1rem;
	}

	.xrcbplayer .infoTitle,
	.xrcbplayer .infoSubtitle,
	.xrcbplayer .icons,
	.xrcbplayer .embed_code,
	.xrcbplayer .infoProgram {
		padding: 0.5rem 0;
	}

	.xrcbplayer .volume {
		position: absolute;
		bottom: 0;
		right: 0;
		width: 2rem;/*6rem;*/
		height: 50%;
		background-color: var(--xrcb-black);
	}

	/* begin mejs player control styles              */
	/* based upon 	http://www.mediaelementjs.com/   */

	/* Buttons */
	.xrcbplayer .mejs-controls button {
		cursor: pointer;
		display: block;
		position: absolute;
		text-indent: -9999px;
		background-image: url('../images/icons-player.png');
	}
	.xrcbplayer .mejs-controls button:focus{
		background-color: var(--xrcb-black);
	}

	/* Play & Pause */
	.xrcbplayer .mejs-play button,
	.xrcbplayer .mejs-pause button,
	.xrcbplayer .mejs-replay button {
		width: 7rem;
		height: 100%;
		top: 0;
		left: 0;
		background-color: var(--xrcb-black);
		background-repeat: no-repeat;
		border-radius:0;
	}
	.xrcbplayer .mejs-play button,
	.xrcbplayer .mejs-pause button,
	.xrcbplayer .mejs-replay button,
	.xrcbplayer .mejs-play_live button,
	.xrcbplayer .mejs-pause button,
	.xrcbplayer .mejs-pause_live button {
		background-position-y: -35px;
	}
	.xrcbplayer .mejs-play button,
	.xrcbplayer .mejs-pause button,
	.xrcbplayer .mejs-replay button {
		background-position-x: -66px;
	}
	.xrcbplayer .mejs-play_live button {
		background-position-x: -2px;
	}
	.xrcbplayer .mejs-pause button {
		background-position-x: -198px;
	}
	.xrcbplayer .mejs-pause_live button {
		background-position-x: -134px;
	}

	/* Mute & Unmute */
	.xrcbplayer .mejs-volume-button {
		position: absolute;
		width: 3rem;
		height: 50%;
		bottom: 0;
		right: 0;
		z-index: 1;
		background-color: var(--xrcb-black);
	}
	.mejs-volume-button button {
		width: 100%;
		height: 100%;
		background: transparent;
		background-position-y: 2px;
	}
	.xrcbplayer .mejs-mute button {
		background-position-x: -200px;
	}
	.xrcbplayer .mejs-unmute button {
		background-position-x: -224px;
	}


	/* Volume Slider vertical*/

	/* Progress Slider time-rail */
	.xrcbplayer .mejs-controls .mejs-time-rail {
		left: 8rem;
		height: 60px;
		position: absolute;
		top: 0;
	}
	.xrcbplayer .mejs-controls .mejs-time-rail span {
		display: block;
	}
	.xrcbplayer .mejs-controls  .mejs-time-rail .mejs-time-slider {
		left: 70px;
	}
	.xrcbplayer .mejs-controls .mejs-time-rail .mejs-time-total {
		background: var(--xrcb-black);
		margin-top: 40px;
		height: 4px;
		cursor: pointer;
	}
	.xrcbplayer .mejs-controls .mejs-time-rail .mejs-time-loaded,
	.xrcbplayer .mejs-controls .mejs-time-rail .mejs-time-current {
		transform-origin: 0 0;
	}
	.xrcbplayer .mejs-controls .mejs-time-rail .mejs-time-loaded {
		width: 100%;
		background: var(--xrcb-grey-light);
	}
	.xrcbplayer .mejs-controls .mejs-time-rail .mejs-time-current {
		height: 4px;
		background: var(--xrcb-grey-light);
	}
	.xrcbplayer .mejs-controls .mejs-time-rail .mejs-broadcast {
		background-color: var(--xrcb-white);
		color: var(--xrcb-white);
		left: 60px;
	}
	.xrcbplayer .playing-off .mejs-controls .mejs-time-rail,
	.xrcbplayer .playing-off .mejs-duration-container,
	.xrcbplayer .playing-off .mejs-currenttime-container,
	.xrcbplayer .src-stream .mejs-time-rail,
	.xrcbplayer .src-stream .mejs-currenttime-container,
	.xrcbplayer .src-stream .mejs-duration-container {
		display: none;
	}
	.xrcbplayer .src-podcast .mejs-currenttime-container,
	.xrcbplayer .src-podcast .mejs-time-rail,
	.xrcbplayer .src-podcast .mejs-duration-container {
		display: block;
	}


	/* Progress Bar Handle */
	.xrcbplayer .mejs-controls .mejs-time-rail .mejs-time-handle {
		cursor: pointer;
		background-color: var(--xrcb-red);
		width: 10px;
		height: 10px;
		margin-top: -7px;
		border-radius: 5px;
	}
	.xrcbplayer .mejs-controls .mejs-time-rail .mejs-time-handle-content {
		background-color: transparent;
	}
	/* Volume Slider */
	.xrcbplayer .mejs-controls .mejs-horizontal-volume-slider{
		border:none;
	}
	.xrcbplayer .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-handle {
		position: absolute;
		display: block;
		top: -4px;
		background-color: var(--xrcb-white);
	}

	/* Time  */
	.xrcbplayer .mejs-controls .mejs-time {
		position: absolute;
		bottom: 1px;
	}
	.xrcbplayer .mejs-controls .mejs-currenttime-container {
		left: 8rem;
		z-index: 1;
		font-size: calc( var(--xrcb-font-size) * 1 );
	}
	.xrcbplayer .mejs-controls .mejs-duration-container {
		right: 11rem;
		font-size: calc( var(--xrcb-font-size) * 1 );
	}
	.xrcbplayer .mejs-controls .mejs-time-rail .mejs-time-float {
		display: none !important;
	}
	.xrcbplayer .mejs-offscreen {
		display: none;
	}

	/* end mejs player control styles                             */
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
	.xrcbplayer .listento-switch{
		position:absolute;
		top:0;
		right: 3rem;
		border-left: 2px solid var(--xrcb-black);
		border-right: 2px solid var(--xrcb-black);
	}
	.listento-switch{
		background: none;
		display: flex;
		flex-direction:column;
		justify-content: center;
		align-items: center;
		min-height: 100%;
	}
	.listento-switch .btn{
		background: var(--xrcb-black);
		display: block;
		position: relative;
		text-align: center;
		transition: background 600ms ease, color 600ms ease;
		flex-grow: 1;
		width: 100%;
		padding: 0.2em;
		font-size: calc( var(--xrcb-font-size) * 1.5 );
	}
	.listento-switch input[type="radio"].toggle {
		display: none;
	}
	.listento-switch input[type="radio"].toggle + label{
		cursor: pointer;
		min-width: 2rem;
		background: var(--xrcb-black);
		color: var(--xrcb-white);
		display: flex;
		justify-content: center;
	}
	.listento-switch input[type="radio"].toggle  + label .fa,
	.listento-switch input[type="radio"].toggle  + label .fas{
		align-self: center;
	}
	.listento-switch input[type="radio"].toggle  + label:hover,
	.listento-switch input[type="radio"].toggle  + label:active{
		background: var(--xrcb-grey);
		color: var(--xrcb-white);
	}
	.listento-switch input[type="radio"].toggle  + label:hover,
	.listento-switch input[type="radio"].toggle  + label:active{
		transition-duration: 500ms;
		transition-timing-function: cubic-bezier(0.77, 0, 0.175, 1);
		background: #a00;
	}
	.listento-switch input[type="radio"].toggle  + label:after{
		background: var(--xrcb-white);
		content: "";
		height: 100%;
		position: absolute;
		left: 0;
		top: 0;
		transition: top 200ms cubic-bezier(0.77, 0, 0.175, 1);
		width: 100%;
		z-index: -1;
	}
	.listento-switch input[type="radio"].toggle .toggle-podcast + label:after{
		top: 100%
	}
	.listento-switch input[type="radio"].toggle .toggle-live + label{
		margin-top: -5px;
	}
	.listento-switch input[type="radio"].toggle .toggle-live + label:after{
		top: -100%;
	}
	.listento-switch input[type="radio"].toggle:checked + label:after{
		top: 0;
	}
 	.listento-switch input[type="radio"].toggle:checked + label,
	.src-stream .listento-switch input[type="radio"].toggle-live + label,
	.src-podcast .listento-switch input[type="radio"].toggle-podcast + label {
		cursor: default;
		color: var(--xrcb-white);
		background-color: var(--xrcb-red);
 		transition: color 200ms;
	}
	/* end .listento-switch               */
}
/* end of any screen */

/* begin mobile */
/* up to medium screen*/
@media screen and (max-width: 600px) {
	#xrcbplayer-container {
		margin-left: 0;
	}
	.xrcbplayer {
		width: 100vw;
	}
	.xrcbplayer content.listening-info{
		padding-right:0;
		width: calc(100% - 12rem);

	}
	.xrcbplayer .listento-switch {
		display: none;
	}
	.xrcbplayer .mejs-controls .mejs-time-rail {
		width: calc(100% - 12rem);
	}
	.xrcbplayer .mejs-controls .mejs-duration-container {
		right: 4rem;
	}
 	.xrcbplayer .src-stream .moreinfo:hover + .moreinfo-aside,
	.xrcbplayer .src-stream .moreinfo:active + .moreinfo-aside,
	.xrcbplayer .src-stream .moreinfo-aside:active {
		/*
		transform: scaleY(1);
		opacity: 0.9;
		min-height: 100%;
		*/
	}
	.xrcbplayer .moreinfo-content:after {
		content:'x';
		top:0;
		right:0;
		position:absolute;
		color:var(--xrcb-white);
		background-color:var(--xrcb-black);
		padding:0 0.5rem;
		font-family:var(--xrcb-font-family-bold);
	}
}
/* end mobile */

/* begin medium-size */
@media screen and (min-width: 600px){
	#xrcbplayer-container {
		margin-left: calc((100vw - 70vw) / 2 );
	}
	.xrcbplayer {
		width: 70vw;
	}
	.xrcbplayer content.listening-info {
		width: calc(100% - 18rem);
	}
	.xrcbplayer .listento-switch {
		display: flex;
	}
	.xrcbplayer .mejs-controls .mejs-time-rail {
		width: calc(100% - 18rem);
	}

	.xrcbplayer .moreinfo:hover + .moreinfo-aside,
	.xrcbplayer .moreinfo:active + .moreinfo-aside,
	.xrcbplayer .moreinfo-aside:active {
		transform: scaleY(1);
		opacity: 0.9;
		min-height: 100%;
	}
	.xrcbplayer .moreinfo:hover + .moreinfo-aside,
	.xrcbplayer .moreinfo-aside:hover{
		transform: scaleY(1);
		opacity: 0.9;
		min-height: 100%;
		transition-delay: 50ms;
		transition-property: transform, opacity;
	}

}
@media screen and (max-width: 1024px) {

}
/* end medium-size */
/* large size*/
@media screen and (min-width: 1024px) {
	#xrcbplayer-container {
		margin-left: calc((100vw - 50vw) / 2 );
	}
	.xrcbplayer {
		width: 50vw;
		margin: 0 auto;
	}

}
/* end large size*/

/* marquee efect for listening info motion*/
/* Make it move */
/* of marquee efect for listening info*/
@keyframes marquee {
	0% {
		transform: translate(0, 0);
	}
	100% {
		transform: translate(-100%, 0);
	}
}

/* Respect user preferences about animations */
@media (prefers-reduced-motion: reduce) {
	.marquee {
		white-space: normal
	}
	.marquee span {
		animation: none;
		padding-left: 0;
	}
}
/* end of marquee efect*/
